#include "totp.h"
#include <sys/time.h>

/*
 *  Returns a counter value for the HOTP algorithm, which represents the
 *  current time modified by `sec_offset` seconds. The counter value can be
 *  passed to hotp_generate() to create a time-based one-time password (TOTP).
 */

uint64_t totp_timeslot(int sec_offset) {
  struct timeval t;
  if (gettimeofday(&t, NULL)) return 0;
  return (t.tv_sec + sec_offset) / 30;
}
