#include "totp.h"

int main(int argc, char **argv) {
  char code[8+1];
  char key[32];
  size_t keylen;
  uint64_t counter;
  if (argc != 2) return 1;
  keylen = hotp_base32decode(argv[1], key, sizeof(key));
  if (!keylen) return 1;
  counter = totp_timeslot(0);
  if (!counter) return 1;
  if (hotp_generate(EVP_sha256(), 8, key, keylen, counter, code)) return 1;
  fprintf(stdout, "%s\n", code);
  return 0;
}
